## **GAMuT: Granular Audio Musaicing Toolkit**

---
<img src="https://felipetovarhenao.github.io/gamut/_images/gamut-logo.png" maxheight="500" width="auto">

### **Description**

**GAMuT** is a high-level, user-friendly [_granular audio musaicing toolkit_](https://www.francoispachet.fr/musaicing/) implemented in Python. Here are some examples of audio musaicing made with **GAMuT**, using different corpora on the same target:

- **Input target**: An excerpt of Ángel Gonzalez's "muerte en el olvido"([audio input](https://d2cqospqxtt8fw.cloudfront.net/personal-website/media/audio/00+target_AG-muerte_en_el_olvido.mp3))

And here are 5 different versions of the target, reconstructed with **GAMuT**, using different corpora:
- **Output 1**: Female singer voice corpus ([audio output](https://d2cqospqxtt8fw.cloudfront.net/personal-website/media/audio/01+Female_corpus+-+1221+files.mp3))
- **Output 2**: Cmaj7 chord notes corpus ([audio output](https://d2cqospqxtt8fw.cloudfront.net/personal-website/media/audio/02+CMaj_corpus+-+340+files.mp3))
- **Output 3**: String instruments corpus ([audio output](https://d2cqospqxtt8fw.cloudfront.net/personal-website/media/audio/03+String_corpus+-+1234+files.mp3))
- **Output 4**: Tam-tam corpus ([audio output](https://d2cqospqxtt8fw.cloudfront.net/personal-website/media/audio/04+Tamtam_corpus+-+2878+files.mp3))
- **Output 5**: Woodwinds corpus ([audio output](https://d2cqospqxtt8fw.cloudfront.net/personal-website/media/audio/05+Wind_corpus+-+412+files.mp3))

### **Documentation**  

You can find the full documentation for **GAMuT** [here](https://felipetovarhenao.github.io/gamut).

---

### **License**

ISC License
Copyright (c) 2022, [Felipe Tovar-Henao](https://www.felipe-tovar-henao.com/)

Permission to use, copy, modify, and/or distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.